# $Revision: 1.47 $, $Date: 2007/12/24 14:14:26 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	Netmask
Summary:	Net::Netmask - parse, manipulate and lookup IP network blocks
Summary(pl.UTF-8):	Net::Netmask - analiza, obróbka i wyszukiwanie bloków sieci IP
Name:		perl-Net-Netmask
Version:	1.9015
Release:	1
# "License hereby granted for anyone to use, modify or redistribute this module at their own risk."
License:	Free
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Net/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	90298105cd17a5c2a4059297e09f1546
URL:		http://search.cpan.org/dist/Net-Netmask/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::Netmask parses and understands IPv4 CIDR blocks. It's built with
an object-oriented interface. Nearly all functions are methods that
operate on a Net::Netmask object.

%description -l pl.UTF-8
Moduł Net::Netmask analizuje i rozumie bloki CIDR IPv4. Ma obiektowo
zorientowany interfejs. Prawie wszystkie funkcje są metodami
operującymi na obiekcie Net::Netmask.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGELOG
%{perl_vendorlib}/Net/Netmask.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-Netmask.spec,v $
Revision 1.47  2007/12/24 14:14:26  qboosh
- generic URL
- not GPL

Revision 1.46  2007-12-24 01:31:18  zbyniu
- up to 1.9015

Revision 1.45  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.44  2007/02/12 00:49:43  baggins
- converted to UTF-8

Revision 1.43  2006/11/17 22:03:50  maciek2w
- updated to 1.9014

Revision 1.42  2005/10/17 09:08:29  hawk
- release 2 (1 went to Ra)

Revision 1.41  2005/05/30 11:59:17  petec
- up to 1.9012

Revision 1.40  2004/11/03 22:30:36  paladine
- formatting

Revision 1.39  2004/06/01 08:33:29  adamg
- updated to 1.9011

Revision 1.38  2004/04/13 11:45:37  adamg
- updated to 1.9009

Revision 1.37  2004/04/07 10:56:04  adamg
- updated to 1.9008

Revision 1.36  2004/01/15 14:15:39  qboosh
- updated to 1.9007, added tests

Revision 1.35  2003/09/09 10:24:43  ankry
- spaces -> tab

Revision 1.34  2003/09/03 20:56:09  adamg
- updated to 1.9004

Revision 1.33  2003/08/18 08:09:03  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.32  2003/05/28 13:00:53  malekith
- massive attack: source-md5

Revision 1.31  2003/05/25 06:24:50  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.30  2003/03/01 20:21:50  radek
- should be ready for perl-5.8.0; release++

Revision 1.29  2003/02/25 00:41:02  radek
- use the __perl macro

Revision 1.28  2003/02/18 15:37:10  ankry
- massive attack: change CPAN URLs

Revision 1.27  2002/08/15 17:51:16  qboosh
- pl description, new %%doc, removed tests from doc, release 7

Revision 1.26  2002/08/11 19:36:48  radek
- release up

Revision 1.25  2002/08/11 19:32:51  radek
- (automatic) provided informative description

Revision 1.24  2002/07/10 08:48:12  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.23  2002/05/11 14:28:10  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.22  2002/02/25 10:33:15  depesz
cleanup; revision++

Revision 1.21  2002/02/22 23:29:30  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/02/13 14:19:00  depesz
automatic: Source location unfied, Relase Up

Revision 1.19  2002/02/10 15:29:41  depesz
adapterized

Revision 1.18  2002/01/18 02:14:23  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2002/01/04 13:45:38  blues
- release 3
- added sample to documentation (it IS important!)

Revision 1.16  2001/11/28 15:20:20  mis
- buildarch noarch; release++

Revision 1.15  2001/11/27 16:45:26  mis
- autoupdated to 1.9002

Revision 1.14  2001/10/10 15:23:05  mis
- autoupdated to 1.9001

Revision 1.13  2001/05/18 22:35:45  kloczek
- updated to 1.9.

Revision 1.12  2001/04/17 12:13:28  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/01/19 06:02:55  kloczek
- do not include .packlist in %files,
- spec adapterized.

Revision 1.9  2001/01/13 01:07:09  dobrek
-Req:perl>=5.6 ;Realase=2;New rpm automat

Revision 1.8  2000/06/09 07:54:56  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:20  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.3  2000/02/18 01:34:29  pius
- updated to 1.8

Revision 1.2  1999/11/05 23:57:53  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:45  pius
- initial release
